Page MenuHomePhabricator

Pressing enter when editing a lemma should save the lemma
Closed, ResolvedPublic3 Story Points

Description

As a Lexeme editor I want to save a Lemma using only the keyboard.

Problem:
When editing a Lemma, pressing enter does nothing. It should save the changes, like it does elsewhere.

Example:
https://www.wikidata.org/wiki/Lexeme:L123

BDD
GIVEN a Lexeme Lemma
WHEN in edit mode
AND I make a change to Lemma, Spelling variant, Language or Lexical Category
AND the focus is in the Lemma, Spelling variant, Language or Lexical Category field
AND I press Enter
THEN the change is saved

Acceptance criteria:

  • pressing enter in the Lemma, Spelling variant, Language or Lexical Category field of a Lexeme saves the input

Notes:

  • The right thing already happens for the representation and spelling variant of Forms.

Event Timeline

Nikki created this task.Oct 3 2018, 4:46 PM
Restricted Application added a project: Wikidata. · View Herald TranscriptOct 3 2018, 4:46 PM
Lydia_Pintscher moved this task from Incoming to Ready to go on the Wikidata-Campsite board.
Addshore updated the task description. (Show Details)Feb 5 2019, 3:40 PM
Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptFeb 5 2019, 7:43 PM

Change 488921 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/extensions/WikibaseLexeme@master] Bind all of lexeme header to save when pressing enter

https://gerrit.wikimedia.org/r/488921

Addshore moved this task from ready to go to in progress on the Wikidata board.Feb 7 2019, 3:54 PM

But the patch in https://gerrit.wikimedia.org/r/488921 isn't merged, no? So I don't think it can be live yet.

Oh it's because of random failure in CI, didn't let it get merged. I put it on re-run.

Change 488921 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Bind all of lexeme header to save when pressing enter

https://gerrit.wikimedia.org/r/488921